eclipse の JRE、JDK 設定

「ウィンドウ > 設定」メニューの
Java > インストール済みのJRE」および、
Java > コンパイラー > コンパイラー準拠レベル」
で選択できる。